Skip to main content
PUT
Update Contact

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

contactId
string
required

Contact Id

Example:

"ocQHyuzHvysMo5N5VsXc"

Body

application/json
firstName
string | null
Example:

"rosan"

lastName
string | null
Example:

"Deo"

name
string | null
Example:

"rosan Deo"

email
string | null
Example:

"rosan@deos.com"

phone
string | null
Example:

"+1 888-888-8888"

address1
string | null
Example:

"3535 1st St N"

city
string | null
Example:

"Dolomite"

state
string | null
Example:

"AL"

postalCode
string
Example:

"35061"

website
string | null
Example:

"https://www.tesla.com"

timezone
string | null
Example:

"America/Chihuahua"

dnd
boolean
Example:

true

dndSettings
object
inboundDndSettings
object
tags
string[]

This field will overwrite all current tags associated with the contact. To update a tags, it is recommended to use the Add Tag or Remove Tag API instead.

Example:
customFields
object[]
source
string | null
Example:

"public api"

dateOfBirth
object | null

The birth date of the contact. Supported formats: YYYY/MM/DD, MM/DD/YYYY, YYYY-MM-DD, MM-DD-YYYY, YYYY.MM.DD, MM.DD.YYYY, YYYY_MM_DD, MM_DD_YYYY

Example:

"1990-09-25"

country
string
Example:

"US"

assignedTo
string | null

User's Id

Example:

"y0BeYjuRIlDwsDcOHOJo"

Response

Successful response

succeded
boolean
Example:

true

contact
object
Last modified on March 8, 2026